Skip to main content
GET
Retrieve a workflow

Authorizations

Authorization
string
header
required

Secret key (sk_live_...)

Path Parameters

workflow_id
string
required

Unique identifier for the workflow (prefixed with wflo_).

Pattern: ^wflo_
Example:

"wflo_AbC123xYz456"

Response

OK

Workflow definition object.

id
string
required

Unique identifier for the workflow, prefixed with wflo_.

Pattern: ^wflo_
Example:

"wflo_AbC123xYz456"

object
string
required

Always workflow.

name
string
required

Display name.

steps
object[]
required

Ordered array of step definitions.

One step of a workflow definition, discriminated by type.

created_at
string<date-time>
required
Example:

"2026-06-18T00:00:00Z"

updated_at
string<date-time>
required
Example:

"2026-06-18T00:00:00Z"

request_id
string

Unique identifier for the API request. Include this when contacting support.